#!/bin/bash
commitID=$(git rev-parse HEAD)
sed \
  -e 's/\[b\]//g' \
  -e 's/\[\/b\]//g' \
  -e 's/\[i\]//g' \
  -e 's/\[\/i\]//g' \
  -e 's/\[br\/\]//g' \
  -e 's/\[commit\/\]/'$commitID'/g' \
  ../Extended.txt > Readme.txt
zip ~/upload/OpenXcomEx.zip Readme.txt
zip ~/upload/OpenXcomExElf.zip Readme.txt
sed \
  -e 's/  /\&nbsp;\&nbsp;/g' \
  -e 's/ #/\&nbsp;#/g' \
  -e 's/\[b\]/<h2 style="font-style:italic"><strong>/g' \
  -e 's/\[\/b\]/<\/strong><\/h2>/g' \
  -e 's/\[i\]/<p><strong>/g' \
  -e 's/\[\/i\]/<\/strong><\/p>/g' \
  -e 's/\[code\]/<div style="font-family: monospace; white-space: pre;">/g' \
  -e 's/\[\/code\]/<\/div>/g' \
  -e 's/\[br\/\]/<br \/>/g' \
  -e 's/\[commit\/\]/'$commitID'/g' \
  ../Extended.txt > OpenXcomExWeb.txt

sed \
  -e 's/\[b\]/\[b\]\[size=14pt\]/g' \
  -e 's/\[\/b\]/\[\/size\]\[\/b\]/g' \
  -e 's/\[br\/\]//g' \
  -e 's/\[i\]/\[b\]/g' \
  -e 's/\[\/i\]/\[\/b\]/g' \
  -e 's/\[commit\/\]/'$commitID'/g' \
  ../Extended.txt > OpenXcomExForum.txt
