#!/bin/bash

cd ~/prog/openxcom/src
rm -f ~/upload/OpenXcomEx.zip
rm -f ~/upload/OpenXcomExElf.zip
echo $'\n---- pull git ----\n'
git pull --ff-only origin \
  && git fetch supsuper \
  && echo $'\n---- creating exe ----\n' \
  && make -f Makefile.mxe clean \
  && make -f Makefile.mxe -j 3 -s \
  && echo $'\n---- creating elf ----\n' \
  && make -f Makefile.simple clean \
  && make -f Makefile.simple -j 3 -s \
  && cd ../bin/ \
  && echo $'\n---- move to zip ----\n' \
  && zip ~/upload/OpenXcomEx.zip OpenXcomEx.exe \
  && zip ~/upload/OpenXcomExElf.zip OpenXcomEx \
  && echo $'\n---- creating doc ----\n' \
  && ../createDocExtended.sh \
  && zip ~/upload/OpenXcomEx.zip Readme.txt \
  && zip ~/upload/OpenXcomExElf.zip Readme.txt \
  && mv Readme.txt ~/upload/OpenXcomEx.txt \
  && mv OpenXcomExWeb.txt ~/upload/OpenXcomExWeb.txt \
  && mv OpenXcomExForum.txt ~/upload/OpenXcomExForum.txt \
  && rm -fr bin \
  && git --work-tree=. checkout HEAD -- bin \
  && cd bin/ \
  && zip -r OpenXcomExData.zip * \
  && mv OpenXcomExData.zip ~/upload/OpenXcomExData.zip \
  && cd .. \
  && rm Readme.txt OpenXcomExWeb.txt OpenXcomExForum.txt OpenXcomEx.exe OpenXcomEx
