#!/bin/bash

cd ~/prog/openxcom/src
rm -f ~/upload/OpenXcomExPlus.zip
rm -f ~/upload/OpenXcomExPlusElf.zip
echo $'\n---- pull git ----\n'
git checkout meridianOXC
git pull --ff-only meridian oxce2.9-plus-proto \
  && git fetch supsuper \
  && echo $'\n---- creating exe ----\n' \
  && make -f Makefile.mxe clean \
  && make -f Makefile.mxe -j 3 -s \
  && echo $'\n---- creating elf ----\n' \
  && make -f Makefile.simple clean \
  && make -f Makefile.simple -j 3 -s \
  && cd ../bin/ \
  && echo $'\n---- move to zip ----\n' \
  && mv OpenXcomEx.exe OpenXcomExPlus.exe \
  && mv OpenXcomEx OpenXcomExPlus \
  && zip ~/upload/OpenXcomExPlus.zip OpenXcomExPlus.exe \
  && zip ~/upload/OpenXcomExPlusElf.zip OpenXcomExPlus \

git checkout -
